net.sf.saxon.type

## Interface ListType

- All Superinterfaces:
    SchemaComponent, SchemaType, Serializable, SimpleType
  All Known Implementing Classes:
    BuiltInListType, UserListType

      public interface ListType
      extends SimpleType

  Interface representing a simple type of variety List

- - ### Field Summary

    - ### Fields inherited from interface net.sf.saxon.type.SchemaType

      `DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION, DERIVE_BY_SUBSTITUTION`

    - ### Fields inherited from interface net.sf.saxon.type.SchemaComponent

      `COMPONENT_FUNCTION_TYPE, FIXED_UP, INCOMPLETE, INVALID, UNVALIDATED, VALIDATED, VALIDATING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleType` | `getItemType()` Returns the simpleType of the items in this ListType.

    - ### Methods inherited from interface net.sf.saxon.type.SimpleType

      `getBuiltInBaseType, getTypedValue, getWhitespaceAction, isAtomicType, isBuiltInType, isExternalType, isListType, isNamespaceSensitive, isUnionType, postprocess, preprocess, validateContent`

    - ### Methods inherited from interface net.sf.saxon.type.SchemaType

      `allowsDerivation, analyzeContentExpression, atomize, checkTypeDerivationIsOK, getBaseType, getBlock, getDerivationMethod, getDescription, getDisplayName, getEQName, getFinalProhibitions, getFingerprint, getName, getNameCode, getSystemId, getTargetNamespace, isAnonymousType, isComplexType, isIdRefType, isIdType, isSameType, isSimpleType`

    - ### Methods inherited from interface net.sf.saxon.type.SchemaComponent

      `getComponentAsFunction, getRedefinitionLevel, getValidationStatus`

- - ### Method Detail

    - #### getItemType

          SimpleType getItemType()

      Returns the simpleType of the items in this ListType. This method assumes that the item type has been fully resolved
      Returns:
        the simpleType of the items in this ListType.
      Throws:
        `IllegalStateException` - if the item type has not been fully resolved

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.